TESTING/EIG/cslect.f(3)

NAME
TESTING/EIG/cslect.f

SYNOPSIS

  Functions/Subroutines
logical function cslect (z)
CSLECT

Function/Subroutine Documentation

  logical function cslect (complex z)

CSLECT

Purpose:

     CSLECT returns .TRUE. if the eigenvalue Z is to be selected,
     otherwise it returns .FALSE.
     It is used by CCHK41 to test if CGEES successfully sorts eigenvalues,
     and by CCHK43 to test if CGEESX successfully sorts eigenvalues.
     The common block /SSLCT/ controls how eigenvalues are selected.
     If SELOPT = 0, then CSLECT return .TRUE. when real(Z) is less than
     zero, and .FALSE. otherwise.
     If SELOPT is at least 1, CSLECT returns SELVAL(SELOPT) and adds 1
     to SELOPT, cycling back to 1 at SELMAX.

Parameters
    Z

              Z is COMPLEX
              The eigenvalue Z.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 55 of file cslect.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.